#pragma once
#include <map>
struct M_DailyQuestRewardCFGData
{
	//编号
	int mID;
	//所需积分
	int mNeedScore;
	//奖励物品ID
	std::vector<int> mRewardItem;
	//奖励物品数量
	std::vector<int> mRewardCount;
};

class M_DailyQuestRewardCFG
{
public:
private:
	static std::auto_ptr<M_DailyQuestRewardCFG> msSingleton;
public:
	int GetCount();
	const M_DailyQuestRewardCFGData* GetData(int ID);
	const std::map<int, M_DailyQuestRewardCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_DailyQuestRewardCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_DailyQuestRewardCFGData> mMapData;
};
